BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BDiscreteImage Class Reference

A class that is capable to receive images from SDK. More...

List of all members.

## Public Types
DiscreteImages constants
enum | BLtransformationDirection { BL_TO_DISCRETE_IMAGE = NatBDiscreteImage.BLtransformationDirection.BL_TO_DISCRETE_IMAGE, BL_TO_WORLD = NatBDiscreteImage.BLtransformationDirection.BL_TO_WORLD }
| Identifies transformation direction. More...
## Public Member Functions
void | Dispose ()
BLerror | LoadImageTile (out Bitmap image, int zoom, int x, int y)
| Requests SDK to load one tile of the discreteImage image.
BLerror | LoadImageTile (out Bitmap image, int zoom, int x, int y, string overlay)
| Requests SDK to load one tile of the discreteImage image.
BLerror | LoadThumbnail (out Bitmap image)
BLerror | LoadImageArea (out Bitmap image, double x, double y, string crs, int width, int height, int zoom, string overlay)
| Requests SDK to load Area of the discreteImage image.
BLerror | LoadMetadata ()
| Requests SDK discreteImage metadata.
## Properties
DiscreteImages attributes
string | ID`[get]`
| Returns the discreteImage Id.
string | LibCode`[get]`
| Returns the discreteImage library code.
string | LibCodeExtension`[get]`
| Returns the discreteImage library code extension.
double | CenterLat`[get]`
| Returns the center latitude of the image.
double | CenterLon`[get]`
| Returns the center longitude of the image.
string | QTreeKey`[get]`
| Returns the discreteImage qtreekey.
double | GSD`[get]`
| Returns the ground sample distance.
BLorientation | Orientation`[get]`
| Returns the orientation of the photo.
string | Date`[get]`
| Returns the date the photo was taken.
int | ImageRows`[get]`
| Returns the number of rows in the image.
int | ImageCols`[get]`
| Returns the number of cols in the image.
double | ULx`[get]`
| Returns the upper left x(in WGS84) corner of the area covered by the discreteImage.
double | ULy`[get]`
| Returns the upper left y(in WGS84) corner of the area covered by the discreteImage.
double | URx`[get]`
| Returns the upper left x(in WGS84) corner of the area covered by the discreteImage.
double | URy`[get]`
| Returns the upper left y(in WGS84) corner of the area covered by the discreteImage.
double | LLx`[get]`
| Returns the lower left x(in WGS84) corner of the area covered by the discreteImage.
double | LLy`[get]`
| Returns the lower left y(in WGS84) corner of the area covered by the discreteImage.
double | LRx`[get]`
| Returns the lower right x(in WGS84) corner of the area covered by the discreteImage.
double | LRy`[get]`
| Returns the lower right y(in WGS84) corner of the area covered by the discreteImage.
double | CameraLat`[get]`
| Returns the latitude of the position of the camera.
double | CameraLon`[get]`
| Returns the longitude of the position of the camera.
double | Bearing`[get]`
| Returns the bearing of the camera.
double | Roll`[get]`
| Returns the roll of the camera.
double | Declin`[get]`
| Returns the declin of the camera.
double | Alt`[get]`
| Returns the altitude in meters of the camera.
double | Elevation`[get]`
| Returns the elevation in meters of the camera.
double | FPx`[get]`
| Returns the image fpx parameter.
double | FPy`[get]`
| Returns the image fpy parameter.
double | FocalLen`[get]`
| Returns the image focal length.
double | K1`[get]`
| Returns the image k1 parameter.
double | K2`[get]`
| Returns the image k2 parameter.
double | K3`[get]`
| Returns the image k3 parameter.
double | PPx`[get]`
double | PPy`[get]`
| Returns the image ppy parameter.
double | Omega`[get]`
| Returns the image omega parameter.
double | Phi`[get]`
| Returns the image phi parameter.
double | Kappa`[get]`
| Returns the image kappa parameter.
double | Ext0`[get]`
| Returns the image EXT[0] parameter.
double | Ext1`[get]`
| Returns the image EXT[1] parameter.
double | Ext2`[get]`
| Returns the image EXT[2] parameter.
double | Ext3`[get]`
| Returns the image EXT[3] parameter.
double | Ext4`[get]`
| Returns the image EXT[4] parameter.
double | Ext5`[get]`
| Returns the image EXT[5] parameter.
double | Ext6`[get]`
| Returns the image EXT[6] parameter.
double | Ext7`[get]`
| Returns the image EXT[7] parameter.
double | Ext8`[get]`
| Returns the image EXT[8] parameter.
int | PFLID`[get]`
| Returns the image planned flight line ID.
int | PFLHCOV`[get]`
| Returns the estimated planned flight horizontal coverage.
int | PFLVCOV`[get]`
| Returns the estimated planned flight vertical coverage.
int | PFLINTVL`[get]`
| Returns the image plane flight line ID.
double | RMSx`[get]`
| Returns the X center of projection root mean square error.
double | RMSy`[get]`
| Returns the Y center of projection root mean square error.
double | RMSz`[get]`
| Returns the Z center of projection root mean square error.
double | RMSo`[get]`
| Returns the O center of projection root mean square error.
double | RMSp`[get]`
| Returns the P center of projection root mean square error.
double | RMSk`[get]`
| Returns the K center of projection root mean square error.
double | SelectedPixelX`[get]`
| Returns the X coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages.
double | SelectedPixelY`[get]`
| Returns the Y coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages.
int | FLAGS`[get]`
| Returns the flags image flags.
## Calculations on discreteImages
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver)
| Let user create freely a copy of this loader.
BLerror | TransformPoints (double[] points, BLtransformationDirection direction, string crs)
| Transform a set of points from discreteImage pixel coordinates to World coordinates and viceversa.
BLerror | CalculateArea (out double area, double[] points)
| Returns the area in square meters defined by a collection of points comprised of pixel coordinates in a given discreteImage image.
BLerror | CalculateLength (out double length, double[] points)
| Returns the total length, in meters, of the line defined by a list of points passed to the service.
BLerror | CalculateHeight (out double height, double x1, double y1, double x2, double y2)
| Returns the height, in meters, between two given points.
BLerror | CalculateBearing (out double bearing, double x1, double y1, double x2, double y2)
| Returns the Azimuth angle defined by two points.
BLerror | CalculateElevation (out double height, double x, double y)
| Returns the elevation (height from sea level) in a given point of a given discreteImage image.
BLerror | CalculateHeightMeasuringAngle (out double angle, double x, double y)
| Returns the angle (in radians) between the world’s vertical axis and the image’s horizontal axis in a certain discreteImage image.
BLerror | CalculateGroundLength (out double lengthInMeters, out double[] pointsArray, double inix, double iniy, double dstx, double dsty)
| Returns the length between 2 points taking into account the ground’s surface shape.

## Detailed Description

A class that is capable to receive images from SDK.

## Member Enumeration Documentation

enum BSDKW::BDiscreteImage::BLtransformationDirection

Identifies transformation direction.

See also:
  BSDKW::BDiscreteImage::TransformPoints

Enumerator:

  BL_TO_DISCRETE_IMAGE |
  BL_TO_WORLD |

## Member Function Documentation

BLerror BSDKW::BDiscreteImage::CalculateArea | ( | out double | area,
|  | double[] | points
| ) |  | `[inline]`

Returns the area in square meters defined by a collection of points comprised of pixel coordinates in a given discreteImage image.

The area calculated does not consider buildings.

Parameters:

  area | Reference to a variable where the area will be stored.
  points | Input array containing the requested polygon in pixel coordinates (x,y pairs).

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateBearing | ( | out double | bearing,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[inline]`

Returns the Azimuth angle defined by two points.

Each point is defined by its pixel coordinates referred to a given discreteImage image.First point defines the vector origin and the second defines its end. Azimuth angle is calculated as the angle of this vector with respect to the geographical North.

Parameters:

  bearing | Reference to a variable where the bearing will be stored.
  x1 | First point X component in pixel coordinates
  y1 | First point X component in pixel coordinates
  x2 | Second point Y component in pixel coordinates
  y2 | Second point Y component in pixel coordinates

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateElevation | ( | out double | height,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Returns the elevation (height from sea level) in a given point of a given discreteImage image.

This calculation considers only the terrain height, but not the building heights. The returned value is in meters.

Parameters:

  height | Reference to a variable where the elevation will be stored.
  x | X component in pixel coordinates
  y | Y component in pixel coordinates

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateGroundLength | ( | out double | lengthInMeters,
|  | out double[] | pointsArray,
|  | double | inix,
|  | double | iniy,
|  | double | dstx,
|  | double | dsty
| ) |  | `[inline]`

Returns the length between 2 points taking into account the ground’s surface shape.

Therefore, the ground length between two points will always be greater than or equals to the linear length between those points. The difference between these two measures would depend on how rough the ground is. If the ground is smooth, both measures would be almost the same value. Otherwise, ground length may be significantly higher than linear length. In order to calculate the ground length, this function will divide the imaginary straight line between the points given into 10 or less divisions, given that the divisions are greater than 10 metres. For each division, the function will calculate the height of its edge points and then it will calculate the length between those points using their height and the linear length between them. The result will be the addition of all these partial lengths.

Parameters:

  lengthInMeters | Reference to the variable where distance will be stored.
  pointsArray | Number of output points of returned segments.
  inix | First point X coordinate
  iniy | First point Y coordinate
  dstx | Second point X coordinate
  dsty | Second point Y coordinate

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateHeight | ( | out double | height,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[inline]`

Returns the height, in meters, between two given points.

Each point is defined by pixel coordinates within a given discreteImage image. The first point has to be a point on the terrain, and the second point will be considered as located on the vertical of that point.

Parameters:

  height | Reference to a variable where the height will be stored.
  x1 | First point X component in pixel coordinates
  y1 | First point X component in pixel coordinates
  x2 | Second point Y component in pixel coordinates
  y2 | Second point Y component in pixel coordinates

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateHeightMeasuringAngle | ( | out double | angle,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Returns the angle (in radians) between the world’s vertical axis and the image’s horizontal axis in a certain discreteImage image.

This is used by the Javascript API’s height measure control, so that the height measure tool can only move up and down along the world’s vertical axis and the height measure would be more accurate.

Parameters:

  angle | Reference to a variable where the bearing will be stored.
  x | X component in pixel coordinates
  y | Y component in pixel coordinates

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::CalculateLength | ( | out double | length,
|  | double[] | points
| ) |  | `[inline]`

Returns the total length, in meters, of the line defined by a list of points passed to the service.

Calculations are done considering the terrain only, but not the buildings.

Parameters:

  length | Reference to a variable where the length will be stored.
  points | Input array containing the requested polygon in pixel coordinates (x,y pairs).

Returns:
  Returns 0 if success, and a non-zero otherwise

void BSDKW::BDiscreteImage::Dispose | ( |  | ) | `[inline]`

BLerror BSDKW::BDiscreteImage::GetDataInformation | ( | BAttributesReceiver | attributesReceiver | ) | `[inline]`

Let user create freely a copy of this loader.

User should deallocate this object using delete operator.

Returns:
  A copy of this loader

BLerror BSDKW::BDiscreteImage::LoadImageArea | ( | out Bitmap | image,
|  | double | x,
|  | double | y,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | int | zoom,
|  | string | overlay
| ) |  | `[inline]`

Requests SDK to load Area of the discreteImage image.

This method does not return until object loading is completed (success or failed)

Parameters:

  image | User BImage where to write the image into
  x | coordinate of the tile in the DiscreteImage
  y | coordinate of the tile in the DiscreteImage
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  width | Image width in pixels
  height | Image height in pixels
  zoom | Zoom level - from 1 (greater) to 4 (smaller)
  overlay | Overlay name, null for photo imagery

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::LoadImageTile | ( | out Bitmap | image,
|  | int | zoom,
|  | int | x,
|  | int | y
| ) |  | `[inline]`

Requests SDK to load one tile of the discreteImage image.

This method does not return until object loading is completed (success or failed)

Parameters:

  image | User BImage where to write the image into
  zoom | Zoom level - from 1 (greater) to 4 (smaller)
  x | coordinate of the tile in the DiscreteImage
  y | coordinate of the tile in the DiscreteImage

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::LoadImageTile | ( | out Bitmap | image,
|  | int | zoom,
|  | int | x,
|  | int | y,
|  | string | overlay
| ) |  | `[inline]`

Requests SDK to load one tile of the discreteImage image.

This method does not return until object loading is completed (success or failed)

Parameters:

  image | User BImage where to write the image into
  zoom | Zoom level - from 1 (greater) to 4 (smaller)
  x | coordinate of the tile in the DiscreteImage
  y | coordinate of the tile in the DiscreteImage
  overlay | Overlay name, null for photo imagery

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::LoadMetadata | ( |  | ) | `[inline]`

Requests SDK discreteImage metadata.

This method does not return until object loading is completed (success or failed)

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDiscreteImage::LoadThumbnail | ( | out Bitmap | image | ) | `[inline]`

BLerror BSDKW::BDiscreteImage::TransformPoints | ( | double[] | points,
|  | BLtransformationDirection | direction,
|  | string | crs
| ) |  | `[inline]`

Transform a set of points from discreteImage pixel coordinates to World coordinates and viceversa.

Parameters:

  points | Input/output array containing the requested points and the returned points (x,y pairs).
  direction | Identifies the transformation direction.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

## Property Documentation

double BSDKW::BDiscreteImage::Alt`[get]`

Returns the altitude in meters of the camera.

Returns:
  Returns a double with the altitude

double BSDKW::BDiscreteImage::Bearing`[get]`

Returns the bearing of the camera.

Returns:
  Returns a double with the bearing

double BSDKW::BDiscreteImage::CameraLat`[get]`

Returns the latitude of the position of the camera.

Returns:
  Returns a double with the latitude

double BSDKW::BDiscreteImage::CameraLon`[get]`

Returns the longitude of the position of the camera.

Returns:
  Returns a double with the longitude

double BSDKW::BDiscreteImage::CenterLat`[get]`

Returns the center latitude of the image.

Returns:
  Returns a double with center latitude of the image

double BSDKW::BDiscreteImage::CenterLon`[get]`

Returns the center longitude of the image.

Returns:
  Returns a double with center longitude of the image

string BSDKW::BDiscreteImage::Date`[get]`

Returns the date the photo was taken.

Returns:
  Returns a string with the date

double BSDKW::BDiscreteImage::Declin`[get]`

Returns the declin of the camera.

Returns:
  Returns a double with the declin

double BSDKW::BDiscreteImage::Elevation`[get]`

Returns the elevation in meters of the camera.

Returns:
  Returns a double with the elevation

double BSDKW::BDiscreteImage::Ext0`[get]`

Returns the image EXT[0] parameter.

Returns:
  Returns a double with the image EXT[0] parameter

double BSDKW::BDiscreteImage::Ext1`[get]`

Returns the image EXT[1] parameter.

Returns:
  Returns a double with the image EXT[1] parameter

double BSDKW::BDiscreteImage::Ext2`[get]`

Returns the image EXT[2] parameter.

Returns:
  Returns a double with the image EXT[2] parameter

double BSDKW::BDiscreteImage::Ext3`[get]`

Returns the image EXT[3] parameter.

Returns:
  Returns a double with the image EXT[3] parameter

double BSDKW::BDiscreteImage::Ext4`[get]`

Returns the image EXT[4] parameter.

Returns:
  Returns a double with the image EXT[4] parameter

double BSDKW::BDiscreteImage::Ext5`[get]`

Returns the image EXT[5] parameter.

Returns:
  Returns a double with the image EXT[5] parameter

double BSDKW::BDiscreteImage::Ext6`[get]`

Returns the image EXT[6] parameter.

Returns:
  Returns a double with the image EXT[6] parameter

double BSDKW::BDiscreteImage::Ext7`[get]`

Returns the image EXT[7] parameter.

Returns:
  Returns a double with the image EXT[7] parameter

double BSDKW::BDiscreteImage::Ext8`[get]`

Returns the image EXT[8] parameter.

Returns:
  Returns a double with the image EXT[8] parameter

int BSDKW::BDiscreteImage::FLAGS`[get]`

Returns the flags image flags.

Returns:
  Returns a integer with the flags image flags

double BSDKW::BDiscreteImage::FocalLen`[get]`

Returns the image focal length.

Returns:
  Returns a double with the image focal length

double BSDKW::BDiscreteImage::FPx`[get]`

Returns the image fpx parameter.

Returns:
  Returns a double with the image fpx parameter

double BSDKW::BDiscreteImage::FPy`[get]`

Returns the image fpy parameter.

Returns:
  Returns a double with the image fpy parameter

double BSDKW::BDiscreteImage::GSD`[get]`

Returns the ground sample distance.

Returns:
  Returns an double with ground sample distance

string BSDKW::BDiscreteImage::ID`[get]`

Returns the discreteImage Id.

Returns:
  Returns a string with the id

int BSDKW::BDiscreteImage::ImageCols`[get]`

Returns the number of cols in the image.

Returns:
  Returns an integer with image cols

int BSDKW::BDiscreteImage::ImageRows`[get]`

Returns the number of rows in the image.

Returns:
  Returns an integer with image rows

double BSDKW::BDiscreteImage::K1`[get]`

Returns the image k1 parameter.

Returns:
  Returns a double with the image k1 parameter

double BSDKW::BDiscreteImage::K2`[get]`

Returns the image k2 parameter.

Returns:
  Returns a double with the image k2 parameter

double BSDKW::BDiscreteImage::K3`[get]`

Returns the image k3 parameter.

Returns:
  Returns a double with the image k3 parameter

double BSDKW::BDiscreteImage::Kappa`[get]`

Returns the image kappa parameter.

Returns:
  Returns a double with the image kappa parameter

string BSDKW::BDiscreteImage::LibCode`[get]`

Returns the discreteImage library code.

Returns:
  Returns a string with the library code

string BSDKW::BDiscreteImage::LibCodeExtension`[get]`

Returns the discreteImage library code extension.

Returns:
  Returns a string with the library code extension

double BSDKW::BDiscreteImage::LLx`[get]`

Returns the lower left x(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the x coordinate

double BSDKW::BDiscreteImage::LLy`[get]`

Returns the lower left y(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the y coordinate

double BSDKW::BDiscreteImage::LRx`[get]`

Returns the lower right x(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the x coordinate

double BSDKW::BDiscreteImage::LRy`[get]`

Returns the lower right y(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the y coordinate

double BSDKW::BDiscreteImage::Omega`[get]`

Returns the image omega parameter.

Returns:
  Returns a double with the image omega parameter

BLorientation BSDKW::BDiscreteImage::Orientation`[get]`

Returns the orientation of the photo.

Returns:
  Returns a BLorientation

int BSDKW::BDiscreteImage::PFLHCOV`[get]`

Returns the estimated planned flight horizontal coverage.

Returns:
  Returns a integer with the estimated planned flight horizontal coverage

int BSDKW::BDiscreteImage::PFLID`[get]`

Returns the image planned flight line ID.

Returns:
  Returns a integer with the planned flight line ID

int BSDKW::BDiscreteImage::PFLINTVL`[get]`

Returns the image plane flight line ID.

Returns:
  Returns a integer with the image plane flight line ID

int BSDKW::BDiscreteImage::PFLVCOV`[get]`

Returns the estimated planned flight vertical coverage.

Returns:
  Returns a integer with the estimated planned flight vertical coverage

double BSDKW::BDiscreteImage::Phi`[get]`

Returns the image phi parameter.

Returns:
  Returns a double with the image phi parameter

double BSDKW::BDiscreteImage::PPx`[get]`

double BSDKW::BDiscreteImage::PPy`[get]`

Returns the image ppy parameter.

Returns:
  Returns a double with the image ppy parameter

string BSDKW::BDiscreteImage::QTreeKey`[get]`

Returns the discreteImage qtreekey.

Returns:
  Returns a string with the qtreekey

double BSDKW::BDiscreteImage::RMSk`[get]`

Returns the K center of projection root mean square error.

Returns:
  Returns a double with the K center of projection root mean square error

double BSDKW::BDiscreteImage::RMSo`[get]`

Returns the O center of projection root mean square error.

Returns:
  Returns a double with the O center of projection root mean square error

double BSDKW::BDiscreteImage::RMSp`[get]`

Returns the P center of projection root mean square error.

Returns:
  Returns a double with the P center of projection root mean square error

double BSDKW::BDiscreteImage::RMSx`[get]`

Returns the X center of projection root mean square error.

Returns:
  Returns a double with the X center of projection root mean square error

double BSDKW::BDiscreteImage::RMSy`[get]`

Returns the Y center of projection root mean square error.

Returns:
  Returns a double with the Y center of projection root mean square error

double BSDKW::BDiscreteImage::RMSz`[get]`

Returns the Z center of projection root mean square error.

Returns:
  Returns a double with the Z center of projection root mean square error

double BSDKW::BDiscreteImage::Roll`[get]`

Returns the roll of the camera.

Returns:
  Returns a double with the roll

double BSDKW::BDiscreteImage::SelectedPixelX`[get]`

Returns the X coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages.

Returns:
  Returns a double with the X coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages

See also:
  BSDKW::FindDiscreteImage, BSDKW::FindDiscreteImages

double BSDKW::BDiscreteImage::SelectedPixelY`[get]`

Returns the Y coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages.

Returns:
  Returns a double with the Y coordinate of the selected pixel of this photo returned when this photo was delivered using FindDiscreteImage and FindDiscreteImages

See also:
  BSDKW::FindDiscreteImage, BSDKW::FindDiscreteImages

double BSDKW::BDiscreteImage::ULx`[get]`

Returns the upper left x(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the x coordinate

double BSDKW::BDiscreteImage::ULy`[get]`

Returns the upper left y(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the y coordinate

double BSDKW::BDiscreteImage::URx`[get]`

Returns the upper left x(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the x coordinate

double BSDKW::BDiscreteImage::URy`[get]`

Returns the upper left y(in WGS84) corner of the area covered by the discreteImage.

Returns:
  Returns a double with the y coordinate

The documentation for this class was generated from the following file:

- BDiscreteImage.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events